/* default color table */

#define COLOR_UNCHANGED -1

static struct { int token, fg, bg; } def_color_table[] = {
	{ UNBINDED, 0, COLOR_UNCHANGED },
	{ IDENTIFIER, 32, COLOR_UNCHANGED },
	{ CONSTANT, 36, COLOR_UNCHANGED },

	{ KEYWORD, 35, COLOR_UNCHANGED },

	{ OPERATOR, 0, COLOR_UNCHANGED },
	{ ELLIPSIS, 0, COLOR_UNCHANGED },

	{ COMMENT, 36, 1 },
	{ DIRECTIVE, 31, COLOR_UNCHANGED },
	{ STRING, 31, COLOR_UNCHANGED },
	{ CHARACTER, 31, COLOR_UNCHANGED },

	{ '\n', 0, COLOR_UNCHANGED },
	{ '\t', 0, COLOR_UNCHANGED },
	{ '\v', 0, COLOR_UNCHANGED },
	{ '\f', 0, COLOR_UNCHANGED },
	{ '\r', 0, COLOR_UNCHANGED },

	{ '+', 0, COLOR_UNCHANGED },
	{ '-', 0, COLOR_UNCHANGED },
	{ '*', 36, COLOR_UNCHANGED },
	{ '/', 0, COLOR_UNCHANGED },
	{ '%', 0, COLOR_UNCHANGED },
	{ '!', 0, COLOR_UNCHANGED },
	{ '=', 0, COLOR_UNCHANGED },
	{ '&', 0, COLOR_UNCHANGED },
	{ '|', 0, COLOR_UNCHANGED },
	{ '^', 0, COLOR_UNCHANGED },
	{ '>', 0, COLOR_UNCHANGED },
	{ '<', 0, COLOR_UNCHANGED },
	{ '.', 0, COLOR_UNCHANGED },

	{ '~', 0, COLOR_UNCHANGED },
	{ '(', 0, COLOR_UNCHANGED },
	{ ')', 0, COLOR_UNCHANGED },
	{ '[', 35, COLOR_UNCHANGED },
	{ ']', 35, COLOR_UNCHANGED },
	{ '{', 0, COLOR_UNCHANGED },
	{ '}', 0, COLOR_UNCHANGED },
	{ ',', 0, COLOR_UNCHANGED },
	{ ':', 0, COLOR_UNCHANGED },
	{ ';', 0, COLOR_UNCHANGED },
	{ '?', 0, COLOR_UNCHANGED },

	{ -1, 0, COLOR_UNCHANGED }
};
