#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char *
obfusc_char(char c)
{
	static char buf[128];
	int r = rand() % (c - 1);
	sprintf(buf, "%d+%d", r, c - r);
	return buf;
}

int
is_contained(unsigned long array[], int size, long val)
{
	int i;
	for (i = 0; i < size; i++)
		if (array[i] == val)
			return 1;
	return 0;
}

long
printdefs(char *s)
{
	unsigned long lbuf[128], l;
	int i;

	for (i = 0; i < strlen(s); i++) {
		if (i != 0)
			while (is_contained(lbuf, i, l = rand()))
				;
		else
			l = rand();

		lbuf[i] = l;

		if (i > 0)
			printf("#define j%lu j%lu j%lu\n", lbuf[i], lbuf[0], lbuf[i - 1]);
		else
			printf("#define j%lu \"%%c\"\n", lbuf[0]);
	}
	return lbuf[i - 1];
}

int
main(int argc, char **argv)
{
	char *p;
	int i, lines = 0;
	unsigned long l;
	char buf[1024];

	fgets(buf, 1024, stdin);
	while (!feof(stdin)) {
		l = printdefs(buf);

		printf("t%d(){printf(j%lu,", lines, l);
		for (p = buf; *p; p++)
			printf("%s%s", obfusc_char(*p), *(p + 1) ? "," : "");

		printf(");\n}\n");
		fgets(buf, 1024, stdin);
		lines++;
	}
	printf("main(){");
	for (i = 0; i < lines; i++)
		printf("t%d();", i);
	printf("}\n");

	return 0;
}
