#	$Id: cinfodb.mk,v 1.8 1996/06/29 13:37:38 sandro Exp $

.if defined(CINFOC)
DPADD+=		${CINFOC}
.endif

CINFOC?=	cinfoc

CINFODBMKDIR=	${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} -m 755
CINFODBINSTALL=	${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
CINFODBDIR?=	${DESTDIR}/usr/libexec/cinfo

.if defined(CINFODB)

all: ${CINFODB}.cinfodb

.if defined(CINFOSRCS)

${CINFODB}.cinfodb: ${CINFOSRCS} ${DPADD}
	cat ${CINFOSRCS} >${CINFODB}-all.cinfo
	${CINFOC} ${CINFODB}-all.cinfo
	rm -f ${CINFODB}-all.cinfo
	mv ${CINFODB}-all.cinfodb ${CINFODB}.cinfodb

.else !defined(CINFOSRCS)

${CINFODB}.cinfodb: ${CINFODB}.cinfo ${DPADD}
	${CINFOC} ${CINFODB}.cinfo

.endif

.else !defined(CINFODB)

all:

.endif

clean:
.if defined(CINFODB)
	rm -f ${CINFODB}.cinfodb
.endif

cleandir: clean

beforeinstall:
	${CINFODBMKDIR} ${CINFODBDIR}

install: beforeinstall $(CINFODB).cinfodb
.if defined(CINFODB)
	${CINFODBINSTALL} ${CINFODB}.cinfodb ${CINFODBDIR}
.endif

maninstall:
